Bug 1659222 - [abrt] solaar: _match(): udev.py:88:_match:TypeError: int() can't convert non-string with explicit base
Summary: [abrt] solaar: _match(): udev.py:88:_match:TypeError: int() can't convert non...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:24903383faf9e6ae2bec27875ad...
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2018-12-13 20:31 UTC by Jeff Nelson
Modified: 2019-11-27 23:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:17:58 UTC


Attachments (Terms of Use)
File: backtrace (973 bytes, text/plain)
2018-12-13 20:31 UTC, Jeff Nelson
no flags Details
File: cgroup (349 bytes, text/plain)
2018-12-13 20:31 UTC, Jeff Nelson
no flags Details
File: cpuinfo (1.42 KB, text/plain)
2018-12-13 20:31 UTC, Jeff Nelson
no flags Details
File: environ (3.85 KB, text/plain)
2018-12-13 20:31 UTC, Jeff Nelson
no flags Details
File: mountinfo (3.79 KB, text/plain)
2018-12-13 20:31 UTC, Jeff Nelson
no flags Details
File: namespaces (129 bytes, text/plain)
2018-12-13 20:31 UTC, Jeff Nelson
no flags Details
File: open_fds (1.00 KB, text/plain)
2018-12-13 20:31 UTC, Jeff Nelson
no flags Details

Description Jeff Nelson 2018-12-13 20:31:10 UTC
Version-Release number of selected component:
solaar-0.9.2-10.20180813gitf0fc63e.fc29

Additional info:
reporter:       libreport-2.9.7
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: _match
exception_type: TypeError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.1-4.fc29.x86_64
kernel:         4.19.8-300.fc29.x86_64
runlevel:       N 5
type:           Python3
uid:            22865

Truncated backtrace:
udev.py:88:_match:TypeError: int() can't convert non-string with explicit base

Traceback (most recent call last):
  File "/usr/lib64/python3.7/site-packages/gi/overrides/GLib.py", line 669, in <lambda>
    func_fdtransform = lambda _, cond, *data: callback(channel, cond, *data)
  File "/usr/lib/python3.7/site-packages/hidapi/udev.py", line 166, in _process_udev_event
    d_info = _match(action, device, *filter)
  File "/usr/lib/python3.7/site-packages/hidapi/udev.py", line 88, in _match
    if not ((vendor_id is None or vendor_id == int(vid, 16)) and
TypeError: int() can't convert non-string with explicit base

Local variables in innermost frame:
action: 'add'
device: Device('/sys/devices/pci0000:00/0000:00:14.0/usb1/1-3/1-3:1.2/0003:046D:C52B.000B/0003:046D:400A.000C/hidraw/hidraw3')
vendor_id: 1133
product_id: 50475
interface_number: 2
hid_driver: 'logitech-djreceiver'
usb_device: Device('/sys/devices/pci0000:00/0000:00:14.0/usb1/1-3')
vid: None
pid: None

Potential duplicate: bug 1630395

Comment 1 Jeff Nelson 2018-12-13 20:31:12 UTC
Created attachment 1514190 [details]
File: backtrace

Comment 2 Jeff Nelson 2018-12-13 20:31:13 UTC
Created attachment 1514191 [details]
File: cgroup

Comment 3 Jeff Nelson 2018-12-13 20:31:14 UTC
Created attachment 1514192 [details]
File: cpuinfo

Comment 4 Jeff Nelson 2018-12-13 20:31:15 UTC
Created attachment 1514193 [details]
File: environ

Comment 5 Jeff Nelson 2018-12-13 20:31:16 UTC
Created attachment 1514194 [details]
File: mountinfo

Comment 6 Jeff Nelson 2018-12-13 20:31:17 UTC
Created attachment 1514195 [details]
File: namespaces

Comment 7 Jeff Nelson 2018-12-13 20:31:18 UTC
Created attachment 1514196 [details]
File: open_fds

Comment 8 Jeff Nelson 2019-03-01 03:03:31 UTC
Reproduced again today. Laptopo was undocked and I left to run some errands. While I was gone laptop went to sleep. Came back after a few hours, powered laptop back up, unlocked screensaver, got a notice about Solaar crash from abrt.

Comment 9 Dominik 'Rathann' Mierzejewski 2019-06-24 10:38:14 UTC
Similar problem has been detected:

Clicking on any device in the right-click drop-down panel icon menu makes it crash.

reporter:       libreport-2.10.0
cmdline:        /usr/bin/python3 -s /usr/bin/solaar
crash_function: _match
exception_type: TypeError
executable:     /usr/bin/solaar
interpreter:    python3-3.7.3-3.fc29.x86_64
kernel:         5.1.9-200.fc29.x86_64
package:        solaar-0.9.2-10.20180813gitf0fc63e.fc29
reason:         udev.py:88:_match:TypeError: int() can't convert non-string with explicit base
runlevel:       N 5
type:           Python3
uid:            5242

Comment 10 Jeff Nelson 2019-08-08 16:29:46 UTC
Reproduced last month. Not sure what solaar package was installed at the time, but currently installed is: solaar-0.9.2-11.20180813gitf0fc63e.fc30.noarch, so it's likely that one or the one before.

Comment 11 Jason Tibbitts 2019-08-08 21:51:47 UTC
Note that Solaar has been retired in Fedora, though of course it can't be removed from the active branches.

Interestingly, it seems to have actually come back to life upstream after being moribund for some time.  But at this point I haven't decided if I care enough to try to revive it.

Comment 12 Dominik 'Rathann' Mierzejewski 2019-08-26 21:14:17 UTC
I do care and I opened a re-review request and a rel-eng ticket: https://pagure.io/releng/issue/8675 . I upgraded my machines to F30 already though, so any updates will be for F30+ only. From comment #10 I gather the original reporter upgraded to F30, too, so he will benefit from the update I've prepared.

Comment 13 Jason Tibbitts 2019-08-26 21:22:00 UTC
I'm not actually an admin on the solaar in dist git, but.... I have some global admin privileges which I will abuse in this case to give you admin privileges on the repo.  I can't unblock in koji but you should at least be able to update F30 if you like.

Comment 14 Ben Cotton 2019-10-31 18:54:46 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-11-27 23:17:58 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.